Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: update probleem

  1. #1

    Default update probleem

    Op mijn werk heb ik een server staan.
    Alles is hier Windows, maar ik mocht deze server gebruiken om Linux te installeren. (om te proberen)

    Mijn baas is eigenlijk wel tevreden met de Linux server (had niet anders verwacht) en wil dus deze server blijven gebruiken als backup-server.

    Op de server staat nog openSUSE 12.3, en ik wil dus updaten.
    Maar het wil niet lukken.

    Code:
    sudo zypper up
    Gegevens van installatiebron laden...
    Lezen van geïnstalleerde pakketten...
    En daar blijft de boel hangen.
    Krijg verder geen foutmelding.

    Tijdens de installatie (al wel een poosje geleden) heb ik wel een update kunnen doen.
    Gisteren wou ik "Nano" installeren en kreeg de melding dat packagekit bezig was, en of ik deze wilde afbreken.
    Dat ging niet, en heb met volgende commando de packagekit afgebroken:
    Code:
    sudo killall -KILL packagekitd

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,775

    Default Re: update probleem

    Quote Originally Posted by jansteen View Post
    Op de server staat nog openSUSE 12.3, en ik wil dus updaten.
    "nog op 12.3". Wat is daar mis mee? Dat is gewoon gesupport.
    "dus updated". Zou niet mijn conclusie zijn.

    In ieder geval, met zypper up blijf je gewoon op 12.3.
    Wat zypper up doet is ten eerste heltzelfde als zypper patch (het installeren van security en recommended patches, belangrijk om regelmatig te doen) en als je extra repos hebt (bijv Packman) het installeren van nieuwe versies van pakketen van die repos (als ze er zijn natuurlijk).

    Maak dus eerst duidelijk wat je doel is:
    . patches bijwerken,
    . of patches bijwerken en van andere repos nieuwste versies installeren,
    . of overgaan naar openSUSE 13.1?

    Quote Originally Posted by jansteen View Post

    Code:
    sudo zypper up
    Gegevens van installatiebron laden...
    Lezen van geïnstalleerde pakketten...
    En daar blijft de boel hangen.
    Krijg verder geen foutmelding.
    Het is hier misschien niet van belang, maar copieëer altijd van en met de prompt tot en met de volgende prompt. Dan denken wij tenminste dat we alles zien (we vertrouwen er dan op dat je niets weglaat tenzij je dat uitdrukkelijk vermeldt). Zoals je dat hier laat zien is er iets mis met sudo.
    Quote Originally Posted by jansteen View Post
    Tijdens de installatie (al wel een poosje geleden) heb ik wel een update kunnen doen.
    Gisteren wou ik "Nano" installeren en kreeg de melding dat packagekit bezig was, en of ik deze wilde afbreken.
    Dat ging niet, en heb met volgende commando de packagekit afgebroken:
    Code:
    sudo killall -KILL packagekitd
    Dat was misschien niet slim. Als ik jou was zou ik PackageKit maar deïnstalleren an Apper ook. Dan heb je daar geen last meer van.

    Edoch als er een probleem is met de zypper database, gaat dat deïnstalleren misschien ook niet.

    Om te zien welke repos je hebt:
    Code:
    zypper lr -d
    en om te zien of er iets meer uit kunnen krijgen:
    Code:
    zypper -v ref
    Uiteraard als root.
    Henk van Velden

  3. #3

    Default Re: update probleem

    Henk, bedankt voor je snelle antwoord.

    Allereerst, ik log via "Putty" in op de server.
    Op 1 of andere manier kon ik vanuit dat programma niet "knippen en plakken"
    Dus heb ik het overgetypt.
    excuus.


    De bedoeling is, dat de server actief gaat meedoen als backup-server.
    Ik had (om mijn bedrijf kennis te laten maken met open-source) voorgesteld een proef te doen met openSUSE.
    Nu het goed werkt, en mijn werkgever de server echt wil inzetten, wil ik het systeem updaten.
    Wat ik begrijp is 13.1 een LTS?? en daarom dacht ik verstandig te zijn het systeem op te waarderen.
    Mijn bedoeling is in ieder geval een veilig en stabiel systeem, waarbij het niet uitmaakt welke versie is geïnstalleerd.
    Ik laat het opwaarderen dan achterwege.

    Om het probleem dan goed te formuleren:
    Ik wil een server waarop openSUSE 12.3 staat "updaten"

    Code:
    zypper lr -d
    geeft het volgende:


    Code:
    administrator@linux-j2kr:~> sudo zypper -v ref
    Hoeveelheid: 1
    Doel initialiseren
    Gespecificeerde installatiebronnen:
    Slaat uitgeschakelde installatiebron 'openSUSE 12.3-1.7' over
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Debug' over
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Update-Debug' over
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Update-Debug-Non-Oss' over
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Non-Oss noodzakelijk is
    Ophalen: content ........................................................[klaar]
    Ophalen: media ..........................................................[klaar]
    Installatiebron 'openSUSE-12.3-Non-Oss' is actueel.
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Oss noodzakelijk is
    Ophalen: content ........................................................[klaar]
    Ophalen: media ..........................................................[klaar]
    Installatiebron 'openSUSE-12.3-Oss' is actueel.
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Source' over
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Update noodzakelijk is
    Ophalen: repomd.xml .....................................................[klaar]
    Installatiebron 'openSUSE-12.3-Update' is actueel.
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Update-Non-Oss noodzakelijk is
    Ophalen: repomd.xml .....................................................[klaar]
    Installatiebron 'openSUSE-12.3-Update-Non-Oss' is actueel.
    Alle installatiebronnen zijn vernieuwd.
    administrator@linux-j2kr:~>
    Code:
    zypper -v ref
    geeft het volgende:
    Code:
    
    
    administrator@linux-j2kr:~> sudo zypper -v ref
    Hoeveelheid: 1
    Doel initialiseren
    Gespecificeerde installatiebronnen:
    Slaat uitgeschakelde installatiebron 'openSUSE 12.3-1.7' over
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Debug' over
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Update-Debug' over
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Update-Debug-Non-Oss' over
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Non-Oss noodzakelijk is
    Ophalen: content ........................................................[klaar]
    Ophalen: media ..........................................................[klaar]
    Installatiebron 'openSUSE-12.3-Non-Oss' is actueel.
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Oss noodzakelijk is
    Ophalen: content ........................................................[klaar]
    Ophalen: media ..........................................................[klaar]
    Installatiebron 'openSUSE-12.3-Oss' is actueel.
    Slaat uitgeschakelde installatiebron 'openSUSE-12.3-Source' over
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Update noodzakelijk is
    Ophalen: repomd.xml .....................................................[klaar]
    Installatiebron 'openSUSE-12.3-Update' is actueel.
    Controleert of vernieuwen van metadata voor openSUSE-12.3-Update-Non-Oss noodzakelijk is
    Ophalen: repomd.xml .....................................................[klaar]
    Installatiebron 'openSUSE-12.3-Update-Non-Oss' is actueel.
    Alle installatiebronnen zijn vernieuwd.
    administrator@linux-j2kr:~>

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,775

    Default Re: update probleem

    Ik begrijp dit allemaal niet zo. Eerst zeg je dat je naar 13.1 wilt, vanwege LTS, volgens mee geen slecht idee). Dan weer dat je 12.3 wilt bijwerken (goed idee).

    Ik ga er voorlopig van uit dat het laatste de bedoeling is.

    Dat je niet kunt copy/paste is eigenlijlk niet acceptabel. Dat overtikken werkt echt niet.
    Ten eerste heb je twee maal dezelfde uitvoer voor vesrschillende commando's????????
    Dan is he zo dat volgens mij sudo (dat jij gebruikt) om het root wachtwoord vraagt. Dat zie ik ook niet. Kortom, dit werkt niet als betrouwbare gegevensoverdracht. Wat moet ik wel geloven?
    Bovendien moet jij ongeveer gek van het tikken worden.

    Als je met dat Putty bedoelt dat je vanaf Windows werkt, moet je daar eerst maar eens een oplossing voor gaan zoeken. Hoe denk dat te doen als er in de productiefase iets gebeurt en je wilt hulp uit de forums?

    In ieder geval lijkt het er op dat je alleen standaard repos hebt, en dat zypper ref gewoon werkt.
    Doe nu eens
    Code:
    zypper patch

    PS. Heb je deze twee bestudeerd
    https://forums.opensuse.org/showthre...ot-worden-quot
    en
    https://forums.opensuse.org/showthre...in-de-praktijk
    Ik wordt niet goed van dat ge-sudo (maar dat is persoonlijk).

    PPSS
    En wat bedoel je met "een server". Voor mij is dat een soort van Windows gebruikers gerelateerde kreet voor journalisten en zo. Je laat zien dat je eigenlijk ook niet weet wat een computer is, maar het staat stoer.
    Henk van Velden

  5. #5

    Default Re: update probleem

    Nu, laat ik het dan anders zeggen.

    Of ik nu wil upgrade naar 13.1 of de bestaande 12.3 wil bijwerken.... heeft eigenlijk niets te maken met het probleem.
    Zelfs als ik een programma wil installeren blijft de boel hangen.
    Het probleem is dat de pakketten Manager blijft hangen.

    Ik weet inderdaad niets van computers, maar hier noemen we het de server.
    Een benaming als:
    "Een computer waarop een besturingssysteem staat, welke we gebruiken om bestanden van een ander filiaal extern te bewaren......"
    Is mij te omslachtig.
    De omschrijving die ik gaf, moet toch enigszins aangeven waarvoor het apparaat wordt gebruikt.
    het is in ieder geval een apparaat waarop een programma draait waar meerdere computers gebruik van maken.
    Heeft het invloed op het probleem/oplossing als ik het apparaat anders noem?


    Nu, het verhaal met "putty"
    De server heb ik niet in mijn beheer.
    Ik ben niet de systeembeheerder (vandaar dat ik niet weet wat een computer is) maar de "server" staat in het serverlokaal (vandaar de naam "server") op het hoofdkantoor.
    Ik zit dus op een andere locatie, en kan alleen via "putty" de server bijwerken.

    Maar goed, via een andere forum:

    Commando:

    Code:
     
    zypper --no-remote update
    Werkt wel.
    Uiteraard krijg ik nu wel de melding dat er "niets te doen" is
    Blijkbaar is er toch iets mis met de repo's

    Eerst weekend, kijk er volgende week wel een keer na.

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,775

    Default Re: update probleem

    Dat over die "server" was maar een nevenpraatje. Het is gewoon een computer systeem, als elk ander.

    Overigens ben jij wel de/een beheerder, want jij weet het root wachtwoord.

    En met --noremote gebruik je geen remote repos. In jouw gval geen enkele dus. Dat zegt wel iets. Je kan kennelijk wel refreshen met die remote repos, maar als het op installeren aankomt hangt het. Kan een firewall probleem zijn. Ik neem aan dat je bedrijfs netwerk achter een firewall hangt.

    Overigens mis ik nog je ervaring met
    Code:
    zypper patch
    Henk van Velden

  7. #7
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: update probleem

    Heb je in plaats van sudo ook al 's
    Code:
    su -c 'zypper ref'
    gebruikt?

    Kan het zijn dat er iets niet goed is met de rpm database?
    Code:
    su -c 'rpm --rebuilddb'
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  8. #8

    Default Re: update probleem

    Knurpht

    Bedankt voor je antwoord.

    Ik heb een paar daagjes vrij, volgende week zal ik je suggesties uitproberen.

  9. #9

    Default Re: update probleem

    Quote Originally Posted by Knurpht View Post
    Heb je in plaats van sudo ook al 's
    Code:
    su -c 'zypper ref'
    gebruikt?

    Kan het zijn dat er iets niet goed is met de rpm database?
    Code:
    su -c 'rpm --rebuilddb'
    Beide commando's uitgevoerd.
    Geen fout melding oid gekregen.

    Maar de update werkt nog steeds niet.
    De boel blijft hangen bij :
    "Lezen van geïnstalleerde pakketten..."

  10. #10

    Default Re: update probleem

    Via dit:

    http://web.archiveorange.com/archive...uEszavJadInUOj

    het probleem is in ieder geval de update repo van 12.3.

    Kan ik het systeem niet upgraden naar 13.1?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •